/* General Styles */

body {

    font-family: 'Arial', sans-serif;

    margin: 0;

    padding: 0;

    box-sizing: border-box;

    background-color: #000000;

    color: #333;

}



header {

    background-color: #000; /* Black background for the navbar */

    color: #fff;

    padding: 1em 0;

    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);

    position: fixed;

    width: 100%;

    top: 0;

    z-index: 1000;

}



nav {

    display: flex;

    justify-content: flex-start;

    align-items: center;

    width: 100%;

    margin: 0;

    padding: 0;

}



.logo {

    display: flex;

    justify-content: flex-start;

    align-items: center;

    padding-left: 0;

}



.logo img {
    
    border-block: 2px solid;
    border-radius: 8px;
    width: 40%;

    height: auto;

    margin: 0;

    padding: 0;

}



.menu-icon {

    display: none;

    font-size: 2em;

    cursor: pointer;

}



.nav-links {

    list-style: none;

    display: flex;

    margin: 0;

    padding: 0;

    flex-wrap: nowrap;

}



.nav-links li {

    margin: 0em 0.5em;

    

}



.nav-links li a {

    color: #fff;

    text-decoration: none;

    font-size: 1.1em;

    font-weight: bold;

    transition: color 0.3s;

    width: 20px;

}



.nav-links li a:hover {

    color: #d1ecf1;

}



#carousel {

    position: relative;

    width: 0%;

    height: 0px;

    overflow: hidden;

    margin-top: 80px; /* To account for fixed header */

    margin-bottom: 2em;

    background-color: white !important;

}



.carousel {

    display: flex;

    transition: transform 0.5s ease-in-out;

}



.carousel-item {

    min-width: 100%;

    transition: transform 0.5s ease-in-out;

}



.carousel-item img {

    width: 100%;

    height: 800px;

    object-fit: cover;

}



.carousel-controls {

    position: absolute;

    top: 50%;

    width: 100%;

    display: flex;

    justify-content: space-between;

    transform: translateY(-50%);

    pointer-events: none;

}



.carousel-controls button {

    background: rgba(0, 0, 0, 0.5);

    border: none;

    color: white;

    font-size: 2em;

    padding: 0.5em 1em;

    cursor: pointer;

    pointer-events: all;

}



.carousel-controls button:hover {

    background: rgba(0, 0, 0, 0.8);

}



#platform-section {

    background-color: #000; /* Black background for the platform section */

    color: #fff;

    padding: 2em 1em;

    

    text-align: center;

}



.platform-h2 h1 {

    margin: 0;

    font-size: 2em;

    font-weight: bold;

    color: #fff;

}



.toggle-switch-container {

    display: flex;

    align-items: center;

    justify-content: center;

    margin: 2em 0;

}



input[type=checkbox] {

    height: 0;

    width: 0;

    visibility: hidden;

}



label {

    cursor: pointer;

    text-indent: -9999px;

    width: 150px;

    height: 60px;

    background: grey;

    display: block;

    border-radius: 100px;

    position: relative;

    margin: 0 1em;

}



label:after {

    content: '';

    position: absolute;

    top: 5px;

    left: 5px;

    width: 50px;

    height: 50px;

    background: #fff;

    border-radius: 90px;

    transition: 0.3s;

}



input:checked + label {

    /* background: #bada55; */
    background: #5874ff;

}



input:checked + label:after {

    left: calc(100% - 5px);

    transform: translateX(-100%);

}



label:active:after {

    width: 130px;

}



.toggle-label {

    font-size: 1.5em;

    color: #fff;

    font-weight: bold;

    width: 100px;

    text-align: center;

}



#player-label {

    margin-right: 10px;

}



#agent-label {

    margin-left: 10px;

}



#circle-images-container {

    display: flex;

    flex-wrap: wrap;

    justify-content: center;

    gap: 2em;

    background-color: #000; /* Black background for circle images section */

    padding: 2em 0;

} 



.circle-item {

    background-color: #000000;

    padding: 1em;

    border-radius: 10px;

    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);

    text-align: center;

    width: 200px;

    transition: transform 0.3s;

    position: relative; /* Position relative to place buttons absolutely */

}



.circle-item img {

    width: 100px;

    height: 100px;

    border-radius: 50%;

    margin-bottom: 0.5em;

}



.circle-item span {

    display: block;

    font-size: 1em;

    color: #333;

    margin-bottom: 0.5em;

}



.circle-item .buttons {

    display: flex;

    justify-content: center;

    gap: 0.5em;

}



.circle-item .buttons a {

    display: block;

    width: 40px;

    height: 40px;

}

.circle-item button {

    margin-top: 10px;

    padding: 5px 10px;

    border: none;

    border-radius: 8px;

    background-color: #000000;

    color: #5874ff87;

    cursor: pointer;

    text-align: center;

}



.circle-item button:hover {

    /* background-color: #0056b3; */

}

.circle-item .buttons img {

    width: 100%;

    height: auto;

    transition: transform 0.3s;

}



.circle-item .buttons a:hover img {

    transform: scale(1.1);

}

.circle-item:hover {
  transform: scale(1.1);
}

/* Toggle Switch Styles */

#circle-images-container .player-mode {

    display: block;

}



#circle-images-container .agent-mode {

    display: none;

}



input:checked ~ #circle-images-container .player-mode {

    display: none;

}



input:checked ~ #circle-images-container .agent-mode {

    display: block;

}



@media (max-width: 768px) {

    .menu-icon {

        display: block;

    }



    .nav-links {

        display: none;

        flex-direction: column;

        width: 100%;

        text-align: center;

        background-color: #000;

    }



    .nav-links.active {

        display: flex;

    }



    .nav-links li {

        margin: 1em 0;

    }

    #carousel{

        height: auto;

    }

    .carousel-item img {

        height:auto;

    }



    .circle-container {

        flex-direction: column;

        align-items: center;

    }



    .circle-item {
        flex: 1 1 0px;
        width: 100%;

    }

}



.underlined {

    position: relative;

}



.underline-mask:after {

    content: '';

    position: absolute;

    top: 95%;

    width: 150%;

    aspect-ratio: 3 / 1;

    left: 50%;

    transform: translate(-50%, 0);

    border-radius: 50%;

    border: 6px solid hsl(280 80% 50%);

    mask: conic-gradient(from var(--start), white 0 var(--spread), transparent var(--spread));

}



.underline-overflow {

    display: inline-block;

    overflow: hidden;

    padding-bottom: clamp(1rem, 2vmin, 2rem);

}



.underline-overflow:after {

    content: '';

    position: absolute;

    top: 100%;

    height: 150%;

    aspect-ratio: 2.5 / 1;

    left: 50%;

    transform: translate(-50%, -10%);

    border-radius: 50%;

    border: 6px solid hsl(10 80% 50%);

}



.underline-clip:after {

    content: '';

    position: absolute;

    top: 95%;

    width: 150%;

    aspect-ratio: 3 / 1;

    left: 50%;

    transform: translate(-50%, 0);

    border-radius: 50%;

    border: 6px solid hsl(130 80% 50%);

    clip-path: polygon(0 0, 50% 50%, 100% 0);

}



/* Services Section */

#services {

    padding: 4em 1em;

    background: linear-gradient(135deg, #000, #161616);

    color: white;

    text-align: center;

}



.services-title {

    font-size: 2.5em;

    margin-bottom: 1em;

    position: relative;

}



.services-title::after {

    content: '';

    width: 100px;

    height: 4px;

    background: #bada55;

    display: block;

    margin: 0.5em auto;

}



.services-container {

    display: flex;

    justify-content: space-around;

    flex-wrap: wrap;

    gap: 2em;

}



.service-item {

    background: #222;

    padding: 2em;

    border-radius: 10px;

    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.5);

    width: 300px;

    transition: transform 0.3s, box-shadow 0.3s;

}



.service-item:hover {

    transform: translateY(-10px);

    box-shadow: 0 4px 16px rgba(0, 0, 0, 0.8);

}



.service-icon {

    font-size: 3em;

    color: #bada55;

    margin-bottom: 0.5em;

}



.service-item h2 {

    font-size: 1.5em;

    margin-bottom: 0.5em;

}



.service-item p {

    font-size: 1em;

    color: #ddd;

}



/* Footer */

footer {

    background-color: #000; /* Black background for the footer */

    color: #fff;

    text-align: center;

    padding: 1em 0;

    position: fixed;

    width: 100%;

    bottom: 0;

}



.sliding-section {

    width: 100%;

    overflow: hidden;

    background: #000;

    padding: 20px 0;

    margin-top: 80px;

}



.sliding-wrapper {

    display: flex;

    animation: slide 20s linear infinite;

    width: max-content;

}



.game-items {

    flex: 0 0 auto;

    padding: 0 10px;

}



.game-items img {

    width: 100px;

    height: 100px;

    object-fit: cover;

    border-radius: 10px;

}



@keyframes slide {

    0% {

        transform: translateX(0);

    }

    100% {

        transform: translateX(-50%);

    }

}



.sliding-wrapper:hover {

    animation-play-state: paused;

}

.gradient-text-btn {
  background: transparent;
  border: 2px solid currentColor;
  font-size: 16px;
  font-weight: 600;
  padding: 10px 18px;
  cursor: pointer;

  /* Reset */
  appearance: none;
  -webkit-appearance: none;

  /* Gradient text */
  background-image: linear-gradient(90deg, #ff7a18, #ff2ec4, #6a5cff);
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent;
}

